;**********************************************************************
;    Filename:	    Exp18.asm                                        *
;    Date:          17/04/2002                                        *
;    Author: KRITSADA JAIYEN                                          *
;    Company: Innovative Experiment                                   *
;**********************************************************************
;    Files required: p16f628.inc                                      *
;**********************************************************************
;    Notes: Basic Comparator					      *
;**********************************************************************

	list      p=16f628            	; list directive to define processor
	#include <p16f628.inc>        	; processor specific variable definitions
	__CONFIG _CP_OFF & _WDT_OFF & _BODEN_ON & _PWRTE_ON & _XT_OSC & _MCLRE_ON & _LVP_OFF

W_TEMP	equ	0x20
S_TEMP	equ	0x21
BACKUP	equ	0x22

	org	0x000

Set_Port clrf	PORTA
	movlw	b'00000110'	; One Independent Comparator
	movwf	CMCON		; RA1 = VIN-  RA2 = VIN+  RA0,RA3 >> Digital
	bsf	STATUS,RP0	
	movlw	b'11101111'	; RA4 = OUTPUT DIGITAL
	movwf	PORTA
	bcf	STATUS,RP0
	goto	$

	end
