;**********************************************************************
;                                                                     *
;    Filename:	    Exp02.asm                                        *
;    Date:          05/04/2002                                        *
;    Author: KRITSADA JAIYEN                                          *
;    Company: Innovative Experiment                                   *
;                                                                     *
;**********************************************************************
;                                                                     *
;    Files required: p16f628.inc                                      *
;                                                                     *
;**********************************************************************
;                                                                     *
;    Notes: Turn ON LED WHEN PRESS SWITCH			      *
;                                                                     *
;**********************************************************************

	list      p=16f628            	; list directive to define processor
	#include <p16f628.inc>        	; processor specific variable definitions
	
	__CONFIG _CP_OFF & _WDT_OFF & _BODEN_ON & _PWRTE_ON & _XT_OSC & _MCLRE_ON & _LVP_OFF

	org	0x000
	clrf 	PORTA			; Initial PORTA by setting
					; output data latches 		
	movlw	0x07			; Turn Comparator off and
	movwf 	CMCON			; Enable pins for I/O
	bsf	STATUS,RP0		; Select Bank 1
	movlw	b'11111111'		; All PORTA = Input 
	movwf	PORTA			; 
	bcf	STATUS,RP0		; Return to Bank 0
	btfsc	PORTA,0			; Test Switch Press ?
	goto 	$-1			; If Not Press Loop	
	bsf	STATUS,RP0		; If Press Set RA0 = Output
	bcf	PORTA,0			; TRISA
	bcf	STATUS,RP0		; Return To Bank 0
	bcf	PORTA,0			; Set  YELLOW LED "ON"  
	goto 	$

		END                    	; directive 'end of program'

